Problémes dans opt imisations de ImUnaryOp, ImBinaryOp, etc
12/01/2008 02:09 PM - Serge Koudoro

Status: Nouveau Start date:

Priority: Haut Due date:

Assignee: % Done: 20%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description
Problémes dans optimisations de ImUnaryOp, ImBinaryOp, etc,

Description:

Dans le cas ou le type T de Image<T> n'est pas un POD (ex: CVariant ,
Vector,...) il ne faut

pas utiliser les optimisations de ImUnaryOperation (resp. Binary) ou du moins
les utiliser a

bon escient. Le probléme a été détecté sur ImSetConstant, mais apparait
probablement avec les autres opérations pixelwise optimisées.

#3 12/11/2007 10:30 (Tibs)

Change: status: "pending" -> "accepted"”
Comment:
j'ai oublie de cocher...

#2 comment 12/11/2007 10:29 (Tibs)

Comment:
Bon on accepte, il faut y etre un peu vigilant.

#1 05/09/2006 17:10 (romain)

Change: topic: " -> "UlI"
Change: solution: " -> "Le probléme est actuellement contourné en spécialisant pour le cas CVariant, mais se pose toujours pour les
stats::Vector.

Le mieux serait de switcher en regardant la valeur de boost::is_pod<T>. Si oui, on peut optimiser comme des barbares, et si non il
faut passer par des structures plus propres."

Change: importance: "medium" -> "high"

Change: title: "™ -> "Problémes dans optimisations de ImUnaryOp, ImBinaryOp, etc"

Change: classification: "Bug" -> "Bug+Solution”

Change: description: "" -> "Dans le cas ou le type T de Image<T> n'est pas un POD (ex: CVariant , Vector,...) il ne faut

pas utiliser les optimisations de ImUnaryOperation (resp. Binary) ou du moins les utiliser a

bon escient. Le probléme a été détecté sur ImSetConstant, mais apparalt probablement avec les autres opérations pixelwise
optimisées.

History

#1 - 12/01/2008 02:10 PM - Serge Koudoro
- Category set to old plone Bugs
- Priority changed from Normal to Haut

- % Done changed from 0 to 20
